#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLineEdit>

class ClientKitApi;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    Ui::MainWindow *ui;

private slots:
    void on_actionClientKit_Help_Page_triggered();
    void on_actionClientKit_Main_Page_triggered();

    void setViewUrl();
    void adjustLocation();
    void adjustTitle();
    void setProgress(int p);
    void startLoading();
    void finishLoading(bool );

    void addJSObject();

private:

    ClientKitApi* m_ClientKitApi;

    QString m_JsMethods;

    int loadProgress;

    QLineEdit* locationEdit;

    void createActions();
    void populateMenus();
    void initAddressBar();
    void initStatusBar();
    void connectSignalsAndSlots();

    QAction* addressBarText;
};

#endif // MAINWINDOW_H
